Page MenuHomePhabricator

add namespace restrictions to meta=siteinfo
Closed, ResolvedPublic

Description

It would be good to find a way to provide namespace restrictions ([[mw:Manual:$wgNamespaceProtection]]) with "meta=siteinfo" module,

  • in a new "siprop" parameter
  • or in already existent "siprop=namespaces" module.

Version: unspecified
Severity: enhancement

Details

Reference
bz71952
Related Gerrit Patches:

Event Timeline

bzimport raised the priority of this task from to Low.Nov 22 2014, 3:47 AM
bzimport added a project: MediaWiki-API.
bzimport set Reference to bz71952.
bzimport added a subscriber: Unknown Object (MLST).

Please provide a usecase because I cannot guess why "it would be good". Thanks!

User scripts or gadget could need this information to know if a user can or cannot edit a page depending on its namespace.

I think to LiveRC gadget, for example ([[fr:Wikipédia:LiveRC/Sources]]).

It is as probably as reavelant as "case" or "subpages" attributes already provided with "meta=siteinfo&siprop=namespaces"

Anomie moved this task from Unsorted to Needs Code on the MediaWiki-API board.Feb 19 2015, 6:26 PM
DannyS712 moved this task from Unsorted to Next on the User-DannyS712 board.Aug 29 2019, 8:39 AM

Change 533337 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/core@master] Add namespace restrictions to meta=siteinfo&siprop=namespaces API result

https://gerrit.wikimedia.org/r/533337

DannyS712 moved this task from Needs Code to In Dev on the MediaWiki-API board.Aug 29 2019, 9:41 PM
DannyS712 moved this task from In Dev to Needs Review on the MediaWiki-API board.Aug 30 2019, 12:53 AM
DannyS712 moved this task from Next to Awaiting review and deployment on the User-DannyS712 board.

Change 533337 merged by jenkins-bot:
[mediawiki/core@master] Add namespace restrictions to meta=siteinfo&siprop=namespaces API result

https://gerrit.wikimedia.org/r/533337

DannyS712 closed this task as Resolved.Sep 17 2019, 1:16 AM